Subject: Re: bug#48379: 27.2; ispell-init-process may be called recursively during sit-for

From: <[email-masked]>
Date: Fri, 14 May 2021 15:09:24 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> [email-masked] writes:
>
>> In ispell-init-process, sit-for can accept process output, which may in
>> turn call ispell-init-process again, recursively. If needed, I can post
>> a short reproducer.
>
> Yes, a reproducer would be nice to have here.

My original problem was kind of complex:
Install magit and guess-language.el,
change ispell default dictionary to a non-English language,
hook flyspell-mode and guess-language to text-mode,
each M-x magit-commit-create would leave a spurious aspell process.

So as I was coming up with a shorter reproducer, I found out that the
problem was an idle timer from guess-language, accidentally hijacking
itself into ispell's sit-for. I no longer believe this problem to be
ispell's and will send a report to guess-language.

> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

Best regards.